import React, { FC, ReactNode } from 'react';
export type Toaster = {
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    id: string;
    message: string;
    timeout?: number;
    title?: string;
};
export type ToasterId = Toaster['id'];
type ToasterContextType = {
    open: (toaster: Toaster) => void;
    toasters: Record<ToasterId, Toaster>;
};
export declare const ToasterContext: React.Context<ToasterContextType>;
export declare const ToasterWrapper: FC<{
    children: ReactNode;
}>;
export declare const showToaster: (toaster: Toaster) => void;
export {};
